<template>
  <b-container>
    <b-row align-v="center">
      <b-col cols="12" md="6" data-aos="fade-right">
        <h2 class="text-primary text-center text-md-left">
          Kenapa kelas ini <br>
          <span class="font-weight-bold "> cocok buat kamu ? </span>
        </h2>
        <p class="text-secondary mt-3 d-none d-sm-block">
          Kini belajar pemograman <br> jauh lebih asik dan menyenangkan
        </p>
      </b-col>
      <b-col cols="12" md="6" class="mt-5">
        <b-row align-v="center" class="text-center justify-content-center">
          <b-col
            v-for="item in pullers"
            :key="item.id"
            md="4"
            cols="6"
            class="mb-4"
            data-aos="fade-right"
            :data-aos-duration="1000 * item.id"
          >
            <b-img :src="`/assets/icons/${item.img}`" width="50" fluid alt="Responsive image" />
            <div class="desc mt-2">
              <span class="font-weight-bold">{{ item.title }}</span><br>
              <span class="text-secondary">{{ item.description }}</span>
            </div>
          </b-col>
        </b-row>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters(['pullers'])
  }
}
</script>
